DiscretizedDiscountBond Class Reference

Useful discretized discount bond asset. More...

`#include <ql/discretizedasset.hpp>`

Inheritance diagram for DiscretizedDiscountBond:
[legend]

## Public Member Functions

void | reset (Size size)
std::vector< Time > | mandatoryTimes () const
Public Member Functions inherited from DiscretizedAsset
Time | time () const
Time & | time ()
const Array & | values () const
Array & | values ()
const boost::shared_ptr< Lattice > & | method () const
void | initialize (const boost::shared_ptr< Lattice > &, Time t)
void | rollback (Time to)
void | partialRollback (Time to)
Real | presentValue ()
void | preAdjustValues ()
void | postAdjustValues ()
void | adjustValues ()

## Additional Inherited Members

Protected Member Functions inherited from DiscretizedAsset
bool | isOnTime (Time t) const
virtual void | preAdjustValuesImpl ()
virtual void | postAdjustValuesImpl ()
Protected Attributes inherited from DiscretizedAsset
Time | time_
Time | latestPreAdjustment_
Time | latestPostAdjustment_
Array | values_

## Detailed Description

Useful discretized discount bond asset.

## Member Function Documentation

void reset | ( | Size | size | ) |

virtual

This method should initialize the asset values to an Array of the given size and with values depending on the particular asset.

Implements DiscretizedAsset.

std::vector<Time> mandatoryTimes | ( |  | ) | const

virtual

This method returns the times at which the numerical method should stop while rolling back the asset. Typical examples include payment times, exercise times and such.

Note
  The returned values are not guaranteed to be sorted.

Implements DiscretizedAsset.